Upload attachment
curl --request POST \
--url https://api.tabby.ai/api/v1/disputes/attachments/upload \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: multipart/form-data' \
--form attachment='@example-file'import requests
url = "https://api.tabby.ai/api/v1/disputes/attachments/upload"
files = { "attachment": ("example-file", open("example-file", "rb")) }
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, files=files, headers=headers)
print(response.text)const form = new FormData();
form.append('attachment', '<string>');
const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
options.body = form;
fetch('https://api.tabby.ai/api/v1/disputes/attachments/upload', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "attachment id, uuid format"
}{
"status": "error",
"errorType": "bad_data",
"error": "bad_request"
}{
"status": "error",
"errorType": "not_authorized",
"error": "invalid secret key"
}"Internal Server error"Disputes
Upload attachment
Upload an attachment. Attachment must be in PNG, JPEG or PDF format and can be up to 5 megabytes in size. Files larger than 5 MB are rejected.
POST
/
api
/
v1
/
disputes
/
attachments
/
upload
Upload attachment
Authorizations
Bearer authentication header of the form Bearer <secret_key>, where <secret_key> is your secret_key.
Body
multipart/form-data
Attachment must be in PNG, JPEG or PDF format and can be up to 5 megabytes in size. Files larger than 5 MB are rejected.
Response
Success. Attachment was uploaded.
Unique ID of attachment
Example:
"attachment id, uuid format"
Was this page helpful?
⌘I